Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
TamlAssetDeclaredVisitor Class Reference

`#include <tamlAssetDeclaredVisitor.h>`

Inheritance diagram for TamlAssetDeclaredVisitor:

## Public Types
typedef StringTableEntry | typeAssetId
typedef Vector< typeAssetId > | typeAssetIdVector
typedef Vector< StringTableEntry > | typeLooseFileVector

## Public Member Functions
| TamlAssetDeclaredVisitor ()
virtual | ~TamlAssetDeclaredVisitor ()
AssetDefinition & | getAssetDefinition (void)
typeAssetIdVector & | getAssetDependencies (void)
typeLooseFileVector & | getAssetLooseFiles (void)
void | clear (void)
virtual bool | wantsPropertyChanges (void)
virtual bool | wantsRootOnly (void)
| Whether the visitor wants to visit the root node only. More...
virtual bool | visit (const TamlParser &parser, TamlVisitor::PropertyState &propertyState)
| The state of the visited property. More...
Public Member Functions inherited from TamlVisitor
| TamlVisitor ()
virtual | ~TamlVisitor ()

## Member Typedef Documentation

typedef StringTableEntry typeAssetId

typedef Vector<typeAssetId> typeAssetIdVector

typedef Vector<StringTableEntry> typeLooseFileVector

## Constructor & Destructor Documentation

TamlAssetDeclaredVisitor | ( |  | ) |
| inline

virtual ~TamlAssetDeclaredVisitor | ( |  | ) |
| inline virtual

## Member Function Documentation

void clear | ( | void |  | ) |
| inline

AssetDefinition& getAssetDefinition | ( | void |  | ) |
| inline

typeAssetIdVector& getAssetDependencies | ( | void |  | ) |
| inline

typeLooseFileVector& getAssetLooseFiles | ( | void |  | ) |
| inline

virtual bool visit | ( | const TamlParser & | parser,
|  | TamlVisitor::PropertyState & | propertyState
| ) |  |
| inline virtual

The state of the visited property.

Implements TamlVisitor.

virtual bool wantsPropertyChanges | ( | void |  | ) |
| inline virtual

Whether the visitor wants to perform property changes. This allows a check against the parser which may not allow changes.

Implements TamlVisitor.

virtual bool wantsRootOnly | ( | void |  | ) |
| inline virtual

Whether the visitor wants to visit the root node only.

Implements TamlVisitor.

The documentation for this class was generated from the following file:

- assets/tamlAssetDeclaredVisitor.h